import java.awt.*;
import java.util.Random;

public class DrawingEntrances {
    private CountEntrances countEntrances;

    Random rand = new Random();
    int randomNum = rand.nextInt(5);

    public CountEntrances getCount() {
        return countEntrances;
    }
    public void setCountEntrances() {
        switch (randomNum) {
            case 3:
                countEntrances = CountEntrances.Three;
                break;
            case 4:
                countEntrances = CountEntrances.Four;
                break;
            case 5:
                countEntrances = CountEntrances.Five;
                break;
            default:
                countEntrances = CountEntrances.Five;
                break;
        }
    }
    public void DrawEntrances(Graphics2D g, int _StartPosX, int _StartPosY) {
        if (countEntrances == null) {
            return;
        }

        g.setColor(Color.BLACK);
        g.drawRect(_StartPosX + 74, _StartPosY + 18, 5, 20);
        g.drawRect(_StartPosX + 84, _StartPosY + 18, 5, 20);

        if (countEntrances == CountEntrances.Three) {
            g.setColor(Color.BLACK);
            g.drawRect(_StartPosX + 94, _StartPosY + 18, 5, 20);
        }

        if (countEntrances == CountEntrances.Four) {
            g.setColor(Color.BLACK);
            g.drawRect(_StartPosX + 94, _StartPosY + 18, 5, 20);
            g.drawRect(_StartPosX + 104, _StartPosY + 18, 5, 20);
        }

        if (countEntrances == CountEntrances.Five) {
            g.setColor(Color.BLACK);
            g.drawRect(_StartPosX + 94, _StartPosY + 18, 5, 20);
            g.drawRect(_StartPosX + 104, _StartPosY + 18, 5, 20);
            g.drawRect(_StartPosX + 112, _StartPosY + 18, 5, 20);
        }
    }
}
